//Common configurations
var c={
	cDataType:'jsonp',
	cJsonp:'json.wrf',
	cCpg:0,
	sSearchBox:'search',
	sUrl:searchurl,
	sLoaderDiv:'loader',
	sResultCounterID:'resc',
	sResultContainerID:'sres',
	sSerachFields:'uriname^3 label_'+lng+'^2 definition_'+lng+' description_'+lng+' contentsummary_'+lng,
	sItemPrePage:10,
	sQuery:'',
	sPaginationDiv:'pgn',
	sData:{
		q:'',
		defType:'dismax',
		qf:'',
		fl:'uriname label_'+lng+',definition_'+lng+',description_'+lng+',contentsummary_'+lng+',itemClass_'+lng+',registerLabel_'+lng+',id,score',
		sort:'score desc',
		wt:'json',
		start:0,
		rows:10
	},
	aAtuocompleteURL:autocompleteurl,
	aAtuocompleteFields:'label_ac_'+lng+':',
	aData:{ 
		q:'',
		group:'true',
		'group.field':'label_'+lng,
		fl:'label_'+lng+',score',
		sort:'score desc',
		//sort:'label_'+lng+' asc',
		wt: 'json'
	},
	localeURL:baseurl+'/res/js/search-languages/'+lng+'.json',
	localeObj:{
		resultSingle:'result found',
		resultMany:'results found',
		noResult:'No result found<br/><br/>Suggestions:<ul><li>Ensure that all words are spelled correctly;</li><li>Try rephrasing keywords or using synonyms;</li><li>Try more general keywords.</li></ul></p><p>If you cannot find a page that you know exists, please let us know using the <a href="javascript:popup(\'widget\', baseurl+\'/useresponse/registry/widget?type=search\', 600, 400)">feedback platform</a>.</p>',
		prev:'previous',
		next:'next',
		first:'first',
		last:'last'
	}
}

//Initializers
$(function(){
	//Initializing localization
	$.ajax({
		url: c.localeURL,
		success: function(json){
			c.localeObj=json;
		}
	});
	//Initializing objects & events
	$("button").button().click(function(event){
		event.preventDefault();
		search($.trim($('#'+c.sSearchBox).val()));
	});            
	$('#'+c.sSearchBox).keydown(function(event) {
		code = event.keyCode ? event.keyCode : event.which;
		if (code == 13) {
			event.preventDefault();
			search($.trim($('#'+c.sSearchBox).val()));
		}
	})
	$('#'+c.sSearchBox).autocomplete({
		source:function(request,response){					  
			c.aData.q=c.aAtuocompleteFields+'"'+request.term+'"';					  
			$.ajax({
				url:c.aAtuocompleteURL,
				data: c.aData, 
				dataType: c.cDataType,
				jsonp: c.cJsonp,
				success: function(data){
					response($.map(data.grouped['label_'+lng].groups, function(item){
						return {label: item.doclist.docs[0]['label_'+lng].toLowerCase()}; 
					}));
				}
			}); 
		},
		minLength:1,
		position:{my:'right+3px top',at:'right bottom'},
		open:function(){$('.ui-menu').width($('.ui-menu').width()-3)},
		mustMatch:true,
		select:function(event, ui){
			$(this).val(ui.item.value);
			search($.trim($('#'+c.sSearchBox).val()))
		}
	});
	
	$.address.externalChange(function(event){				
		if($.trim(event.value.replace('/',''))!=''){
			$('#'+c.sSearchBox).val(decodeURIComponent(event.value.replace('/','')));
			search($.trim($('#'+c.sSearchBox).val()));
		}else{
			resetSearch()
		}
	});		
	$.address.internalChange(function(event){				
		if($.trim(event.value.replace('/',''))!=''){
			$('#'+c.sSearchBox).val(decodeURIComponent(event.value.replace('/','')));
		}else{
			resetSearch()
		}
	});
	
	$('.search-container').append($('<span class="sinfo" title="Search options"></span>').tooltip(
		{content:'<p>In addition to the simple query you can:</p><ul><li>Enclose exact words in quotes: "example terms"</li><li>Use AND, OR operators</li><li>Prepend the sign - (minus) the words to exclude: -example, - "example terms"</li></ul>'}
	));
	
});

//Search functions
function search(s){
	if(s!=''){
	   initSearch(s);				   
	   $.ajax({
			url:c.sUrl,
			data: c.sData, 
			dataType: c.cDataType,
			jsonp: c.cJsonp,
			success: function( data) {
				resourceCountHandler(data);
				$.map(data.response.docs,function(item){renderResults(item)});							
				serachPaginationHandler(data);
			}
		}) .always(function() {
			$('#'+c.sLoaderDiv).hide();
		});
	}else{
		resetSearch();
		$.address.value(encodeURIComponent(s));
		$('#'+c.sResultCounterID).html('');
	}
}
function resetSearch(){
	$('#'+c.sSearchBox).val('');
	resetPage();
	c.Cpg=0;
}
function resetPage(){
	$('#'+c.sResultContainerID).html('');
	$('#'+c.sResultContainerID).removeAttr('style');
	$('.'+c.sPaginationDiv).html('');
	$('#'+c.sResultContainerIDultCounterID).html('');
	$('#'+c.sSearchBox).autocomplete('close');
}
function renderResults(item){
	var txt;
	if(item['definition_'+lng]){
		txt=item['definition_'+lng]
	}else if(item['contentsummary_'+lng]){
		txt=item['contentsummary_'+lng]
	}else if(item['description_'+lng]){
		txt=item['description_'+lng]
	}else{
		txt='';
	}								
	if(txt.length>240){
		txt=txt.substr(0,220)+" ... ";
	}
	if(typeof item['registerLabel_'+lng]==='undefined'){
		registerLabel='';		
	}else{
		registerLabel=' - <span>['+item['registerLabel_'+lng]+']</span>';
	}
	$('#'+c.sResultContainerID).append('<li><a href="'+item.id+'">'+item['label_'+lng]+registerLabel+'</a><br/><span>'+item.id+'</span><br/><p>'+txt+'</p></li>')
}
function resourceCountHandler(data){
	if(data.response.numFound==1){
		$('#'+c.sResultCounterID).html(data.response.numFound +' '+c.localeObj.resultSingle);
	}else if(data.response.numFound>1){
		$('#'+c.sResultCounterID).html(data.response.numFound +' '+c.localeObj.resultMany);
	}else if(data.response.numFound<=0){
		$('#'+c.sResultCounterID).html(c.localeObj.noResult);
	}
}
function serachPaginationHandler(data){
	if(data.response.numFound>c.sItemPrePage){
		$('.'+c.sPaginationDiv).jPages({
		  containerID:c.sResultContainerID,
		  perPage:c.sItemPrePage,
		  customTotalPages:data.response.numFound,
		  callback:pageCallback,
		  searchTerm:c.sQuery,
		  fallback:10,
		  previous:'← '+c.localeObj.prev,
		  next:c.localeObj.next+' →',
		  first:c.localeObj.first,
		  last:c.localeObj.last
		});
	}
}
function initSearch(s){
	resetPage()
	$('#'+c.sSearchBox).autocomplete('search','');
	$.address.value(encodeURIComponent(s));
	$('#'+c.sLoaderDiv).css('display','inline-block');
	c.sQuery=s;
	c.sData.q='*'+c.sQuery+'*';
	c.sData.qf=c.sSerachFields;
	c.sData.start=0;
	c.sData.rows=c.sItemPrePage;
}			
function initPaginator(page){
   $('#'+c.sLoaderDiv).css('display','inline-block');			   
   c.sData.q='*'+c.sQuery+'*';
   c.sData.start=page;
   c.sData.rows=c.sItemPrePage;
}

function pageCallback(pages,items){
	if(c.Cpg!=0 && c.Cpg!=pages.current){
		p=(pages.current-1)*c.sItemPrePage;
		paginateSearch(c.sQuery,p);
	}
	c.Cpg=pages.current
}
function paginateSearch(searchTerm,page){
   initPaginator(page);			   
   $.ajax({
		url: c.sUrl,
		data: c.sData, 
		dataType: c.cDataType,
		jsonp: c.cJsonp,
		success: function( data) {
			$('#'+c.sResultContainerID).html('');					
			$.map(data.response.docs,function(item){renderResults(item)});					
		}
	}) .always(function() {
		$('#'+c.sLoaderDiv).hide();
	});                
}