<?xml version="1.0" encoding="UTF-8"?>

<!--  Copyright 2010,2015 EUROPEAN UNION
  Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
  the European Commission - subsequent versions of the EUPL (the "Licence");
  You may not use this work except in compliance with the Licence.
  You may obtain a copy of the Licence at:
 
  http://ec.europa.eu/idabc/eupl
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the Licence is distributed on an "AS IS" basis,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the Licence for the specific language governing permissions and
  limitations under the Licence.
 
  Date: 27/08/2015
  Authors: European Commission, Joint Research Centre
  Daniele Francioli, Emanuela Epure
  inspire-registry-dev@jrc.ec.europa.eu
 
This work was supported by the EU  Interoperability Solutions for
European Public Administrations Programme (http://ec.europa.eu/isa)
through Action 1.17: Re-usable INSPIRE Reference Platform 
(http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).-->


<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
     
    <!--<xsl:output method="xml"/>-->
    
    <xsl:variable name="languagefile" select="document(concat('../../gui-languages/',$language,'.xml'))" />
    <xsl:variable name="language" select="guilanguage/@languagecode"/>
    
    <xsl:param name="baseuri" />
    <xsl:param name="registryUriname" />
    <xsl:variable name="registryUri" select="concat($baseuri,'/',$registryUriname)" />
        
    <xsl:template match="/">  
        
        <rss version="2.0">
            <channel>
                <title>INSPIRE registry news</title>
                <link>
                    <xsl:value-of select="$baseuri"/>/registry/rss/</link>
                <description>The news channal of the INSPIRE registry</description>
                <language>en</language>
                <item>
                    <title>INSPIRE registry release 4</title>
                    <link>
                        <xsl:value-of select="$registryUri"/>
                    </link>
                    <description>
        <![CDATA[
        <p>
         This is the forth release of the INSPIRE registry service. Changes for this version:
         <ul>
             <li>Added the Glossary register</li>
             <li>Added the Metadata codelist register</li>
             <li>Added the reference document register (provides unique identifiers for documents used in INSPIRE)</li>
         </ul>
         The service has been created using the <a href="http://joinup.ec.europa.eu/software/re3gistry/home">Re3gistry software v0.4</a>.
         </p>
        ]]>
                    </description>
                    <pubDate>Sat, 12 July 2014 17:00:00 GMT</pubDate>
                </item>
                <item>
                    <title>INSPIRE registry release 3</title>
                    <link>
                        <xsl:value-of select="$registryUri"/>
                    </link>
                    <description>
      <![CDATA[
      <p>
      This is the third release of the INSPIRE registry. Changes for this version:
      <ul>
	  <li>Added the Feature Concept Dictionary Register</li>
	  <li>Added the search feature</li>
	  <li>Added the reference and the details for the externally governed codelist</li>
	  <li>Added the hierarchy for the registers/items</li>
      </ul>
      The service has been created using the <a href="http://joinup.ec.europa.eu/software/re3gistry/home">Re3gistry software</a> v0.3.
      </p>
     ]]>
                    </description>
                    <pubDate>Wed, 11 December 2013 15:00:00 GMT</pubDate>
                </item>
                <item>
                    <title>INSPIRE registry release 2.1</title>
                    <link>
                        <xsl:value-of select="$registryUri"/>
                    </link>
                    <description>
      <![CDATA[
      <p>
      Changes for this version:
      <ul>
      <li>New version of the XML schemas: 0.2 (http://inspire.ec.europa.eu/draft-schemas/registry/0.2/)</li>
      <li>JSON format bugfix</li>
      </ul>
      The service has been created using the <a href="http://joinup.ec.europa.eu/software/re3gistry/home">Re3gistry software</a> v0.2.
      </p>
     ]]>
                    </description>
                    <pubDate>Wed, 30 October 2013 14:00:00 GMT</pubDate>
                </item>
                <item>
                    <title>INSPIRE registry release 2</title>
                    <link>
                        <xsl:value-of select="$registryUri"/>
                    </link>
                    <description>
        <![CDATA[
        <p>
          This is the second release of the INSPIRE registry. Changes for this version:
         <ul>
         <li>Made the user interface multi-lingual, covering most official EU languages (note that the translations are provisional and may be improved in future releases)</li>
         <li>Improved multilingual register content</li>
         <li>Added code lists from the Implementing Rules for Metadata</li>
         <li>Added information in each register web page in order to better contextualize the items (theme, application schema, codelist)</li>
         <li>Added functionality for filtering, sorting and pagination of the tables listing the register items</li>
         <li>The tables have been improved adding columns to better contextualize the element</li>
         </ul>
         The service has been created using the <a href="http://joinup.ec.europa.eu/software/re3gistry/home">Re3gistry software</a> v0.2.
         </p>
        ]]>
                    </description>
                    <pubDate>Thu, 23 august 2013 16:00:00 GMT</pubDate>
                </item>
                <item>
                    <title>INSPIRE registry v0.1 - First publication </title>
                    <link>
                        <xsl:value-of select="$registryUri"/>
                    </link>
                    <description>
        <![CDATA[
        <p>
         This is the first release of the INSPIRE registry.
         The service has been created using the <a href="http://joinup.ec.europa.eu/software/re3gistry/home">Re3gistry software</a> v0.1.
         </p>
        ]]>
                    </description>
                    <pubDate>Mon, 01 july 2013 08:00:00 GMT</pubDate>
                </item>
            </channel>
        </rss>       
    </xsl:template>
</xsl:stylesheet>