<?xml version="1.0" encoding="UTF-8"?>

<!--  Copyright 2010,2015 EUROPEAN UNION
  Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
  the European Commission - subsequent versions of the EUPL (the "Licence");
  You may not use this work except in compliance with the Licence.
  You may obtain a copy of the Licence at:
 
  http://ec.europa.eu/idabc/eupl
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the Licence is distributed on an "AS IS" basis,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the Licence for the specific language governing permissions and
  limitations under the Licence.
 
  Date: 27/08/2015
  Authors: European Commission, Joint Research Centre
  Daniele Francioli, Emanuela Epure
  inspire-registry-dev@jrc.ec.europa.eu
 
This work was supported by the EU  Interoperability Solutions for
European Public Administrations Programme (http://ec.europa.eu/isa)
through Action 1.17: Re-usable INSPIRE Reference Platform 
(http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).-->


<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
    <xsl:output method="html"/>
    
    <xsl:template name="footer">
        <xsl:param name="base_res_uri" />
        <xsl:variable name="systemUri" select="concat($base_res_uri,'/system')" />
        
        <div class="cnt">
            <xsl:value-of select="$languagefile/guilanguage/item[@key='inspire-registry']"/> 
            <div class="pwb">
                <xsl:value-of select="$languagefile/guilanguage/item[@key='powered-by']"/>: <a href="{$systemUri}">Re3gistry v1.1</a>
            </div>
        </div>
        
        <!-- Piwik -->
        <script type="text/javascript">
            if(statid){
            var _paq = _paq || [];
            _paq.push(['trackPageView']);
            _paq.push(['enableLinkTracking']);
            (function() {
            var u=(("https:" == document.location.protocol) ? "https" : "http") + "://"+staturl;
            _paq.push(['setTrackerUrl', u+'piwik.php']);
            _paq.push(['setSiteId', statid]);
            var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0]; g.type='text/javascript';
            g.defer=true; g.async=true; g.src=u+'piwik.js'; s.parentNode.insertBefore(g,s);
            })();
            }
        </script>
        <!-- End Piwik Code -->
        
        <div id="helpd" title="INSPIRE Registry Help"></div>
        <div id="aboutd" title="INSPIRE Registry About"></div>
        <div id="fdbd" title="INSPIRE Registry Feedback"></div>
        <div id="comd" title="INSPIRE Registry Community"></div>
        <div id="ttp"></div>
        
    </xsl:template>
</xsl:stylesheet>