<?xml version="1.0" encoding="UTF-8"?>

<!--  Copyright 2010,2015 EUROPEAN UNION
  Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
  the European Commission - subsequent versions of the EUPL (the "Licence");
  You may not use this work except in compliance with the Licence.
  You may obtain a copy of the Licence at:
 
  http://ec.europa.eu/idabc/eupl
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the Licence is distributed on an "AS IS" basis,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the Licence for the specific language governing permissions and
  limitations under the Licence.
 
  Date: 27/08/2015
  Authors: European Commission, Joint Research Centre
  Daniele Francioli, Emanuela Epure
  inspire-registry-dev@jrc.ec.europa.eu
 
This work was supported by the EU  Interoperability Solutions for
European Public Administrations Programme (http://ec.europa.eu/isa)
through Action 1.17: Re-usable INSPIRE Reference Platform 
(http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).-->


<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
    
    <!--Properties-->
    <xsl:output method="html" encoding="UTF-8" indent="yes"/>
 
    <!--Variables & parameters declaration-->
    <xsl:variable name="language" select="item/language"/>
    <xsl:variable name="languagefile" select="document(concat('../gui-languages/',$language,'.xml'))" />
   
    <xsl:template match="item">
        
        <!--Label-->
        <xsl:if test="label != ''">
            <p>
                <span>
                    <xsl:value-of select="$languagefile/guilanguage/item[@key='label']"/>:
                    <xsl:choose>
                        <xsl:when test="$language != label/@language">
                            <xsl:variable name="notavailable" select="$languagefile/guilanguage/item[@key='not-available-in']"/>   
                            <br/>
                            <span class="sml">
                                <xsl:text>[</xsl:text> 
                                <xsl:value-of select="$notavailable" disable-output-escaping="yes"/>
                                <xsl:text>]</xsl:text>
                            </span>
                        </xsl:when>
                        <xsl:otherwise>
                        </xsl:otherwise>
                    </xsl:choose>
                </span> 
                <strong>
                    <xsl:value-of select="label" />
                </strong>
            </p>
        </xsl:if>
        
        <xsl:if test="definition != ''">
            <p>
                <span class="csm">
                    <xsl:value-of select="$languagefile/guilanguage/item[@key='definition']"/>:
                    <xsl:choose>
                        <xsl:when test="$language != definition/@language">
                            <xsl:variable name="notavailable" select="$languagefile/guilanguage/item[@key='not-available-in']"/>   
                            <br/>
                            <span class="sml">
                                <xsl:text>[</xsl:text> 
                                <xsl:value-of select="$notavailable" disable-output-escaping="yes"/>
                                <xsl:text>]</xsl:text>
                            </span>
                        </xsl:when>
                        <xsl:otherwise>
                        </xsl:otherwise>
                    </xsl:choose>
                </span>
            </p>    
            <div class="dcsm">
                <xsl:variable name="tmp" select="definition"/>
                <xsl:variable name="newtext" select="replace($tmp,'\\n',$newline)"/>
                <xsl:value-of select="$newtext" disable-output-escaping="yes"/>
            </div>            
            <div class="clft"></div>
        </xsl:if>
        
        <xsl:if test="description != ''">
            <p>
                <span class="csm">
                    <xsl:value-of select="$languagefile/guilanguage/item[@key='description']"/>:
                    <xsl:choose>
                        <xsl:when test="$language != description/@language">
                            <xsl:variable name="notavailable" select="$languagefile/guilanguage/item[@key='not-available-in']"/>   
                            <br/>
                            <span class="sml">
                                <xsl:text>[</xsl:text> 
                                <xsl:value-of select="$notavailable" disable-output-escaping="yes"/>
                                <xsl:text>]</xsl:text>
                            </span>
                        </xsl:when>
                        <xsl:otherwise>
                        </xsl:otherwise>
                    </xsl:choose>
                </span>
            </p>     
            <div class="dcsm">
                <xsl:variable name="tmp" select="description"/>
                <xsl:variable name="newtext" select="replace($tmp,'\\n',$newline)"/>
                <xsl:value-of select="$newtext" disable-output-escaping="yes"/>
            </div>     
            <div class="clft"></div>
        </xsl:if>
        
    </xsl:template>
</xsl:stylesheet>