<?xml version="1.0" encoding="UTF-8"?>

<!--  Copyright 2010,2015 EUROPEAN UNION
  Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
  the European Commission - subsequent versions of the EUPL (the "Licence");
  You may not use this work except in compliance with the Licence.
  You may obtain a copy of the Licence at:
 
  http://ec.europa.eu/idabc/eupl
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the Licence is distributed on an "AS IS" basis,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the Licence for the specific language governing permissions and
  limitations under the Licence.
 
  Date: 27/08/2015
  Authors: European Commission, Joint Research Centre
  Daniele Francioli, Emanuela Epure
  inspire-registry-dev@jrc.ec.europa.eu
 
This work was supported by the EU  Interoperability Solutions for
European Public Administrations Programme (http://ec.europa.eu/isa)
through Action 1.17: Re-usable INSPIRE Reference Platform 
(http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).-->


<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">   
   
    <xsl:output method="html"/>  
   
    <!--<xsl:variable name="base_res_uri" select="'http://inspire.ec.europa.eu'" />-->
    
    <xsl:template name="res">
        <xsl:param name="base_res_uri" />
        <xsl:param name="base_language" />
        
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta name="format-detection" content="telephone=no" />
        
        <link rel="stylesheet" type="text/css">
            <xsl:attribute name="href">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/css/style.css</xsl:text>
            </xsl:attribute>
        </link>
        <script>var lng="<xsl:value-of select="$base_language"/>";</script>
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/jquery.js</xsl:text>
            </xsl:attribute>
        </script>                
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/jquery-ui.js</xsl:text>
            </xsl:attribute>
        </script>     
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/jquery.dataTables.js</xsl:text>
            </xsl:attribute>
        </script>                
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/common-init.js</xsl:text>
            </xsl:attribute>
        </script>
        <xsl:comment><![CDATA[[if lte IE 8]><script src="concat($base_res_uri,'/res/js/modernizr.js')"></script><![endif]]]></xsl:comment>
    </xsl:template>
    
    <xsl:template name="linkalternatecompleted">
        <xsl:param name="base_format_uri" />
        <xsl:param name="base_language" />
        <xsl:param name="base_title" />
        <!-- Reference to the alternative formats -->
        <link rel="alternate" type="application/xml">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>xml</xsl:text>
            </xsl:attribute>
        </link>
        <link rel="alternate" type="application/xml">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>iso19135xml</xsl:text>
            </xsl:attribute>
        </link>
        <link rel="alternate" type="application/xml+rfd">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>rdf</xsl:text>
            </xsl:attribute>
        </link>
        <link rel="alternate" type="application/json">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>json</xsl:text>
            </xsl:attribute>
        </link>
        <link rel="alternate" type="application/atom+xml">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>atom</xsl:text>
            </xsl:attribute>
        </link>
        <link rel="alternate" type="text/csv">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>csv</xsl:text>
            </xsl:attribute>
        </link>
    </xsl:template>
    
    <xsl:template name="linkalternate">
        <xsl:param name="base_format_uri" />
        <xsl:param name="base_language" />
        <xsl:param name="base_title" />
        <!-- Reference to the alternative formats -->
        <link rel="alternate" type="application/xml">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>xml</xsl:text>
            </xsl:attribute>
        </link>
        <link rel="alternate" type="application/xml">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>iso19135xml</xsl:text>
            </xsl:attribute>
        </link>
        <link rel="alternate" type="application/xml+rfd">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>rdf</xsl:text>
            </xsl:attribute>
        </link>
        <link rel="alternate" type="application/json">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>json</xsl:text>
            </xsl:attribute>
        </link>
        <link rel="alternate" type="application/atom+xml">
            <xsl:attribute name="title">
                <xsl:value-of select="$base_title" />
            </xsl:attribute>
            <xsl:attribute name="hreflang">
                <xsl:value-of select="$base_language" />
            </xsl:attribute>
            <xsl:attribute name="href">
                <xsl:value-of select="$base_format_uri" />
                <xsl:text>atom</xsl:text>
            </xsl:attribute>
        </link>
    </xsl:template>
        
    <xsl:template name="resmin">
        <xsl:param name="base_res_uri" />
        <xsl:param name="base_language" />
        
        <link rel="stylesheet" type="text/css">
            <xsl:attribute name="href">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/css/style.css</xsl:text>
            </xsl:attribute>
        </link>
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/jquery.js</xsl:text>
            </xsl:attribute>
        </script>     
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/jquery-ui.js</xsl:text>
            </xsl:attribute>
        </script>                
        <script>
            <xsl:attribute name="src">
                <xsl:value-of select="$base_res_uri" />
                <xsl:text>/res/js/modernizr.js</xsl:text>
            </xsl:attribute>
        </script>

    </xsl:template>
</xsl:stylesheet>
