<?xml version="1.0" encoding="UTF-8"?>

<!--  Copyright 2010,2015 EUROPEAN UNION
  Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
  the European Commission - subsequent versions of the EUPL (the "Licence");
  You may not use this work except in compliance with the Licence.
  You may obtain a copy of the Licence at:
 
  http://ec.europa.eu/idabc/eupl
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the Licence is distributed on an "AS IS" basis,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the Licence for the specific language governing permissions and
  limitations under the Licence.
 
  Date: 27/08/2015
  Authors: European Commission, Joint Research Centre
  Daniele Francioli, Emanuela Epure
  inspire-registry-dev@jrc.ec.europa.eu
 
This work was supported by the EU  Interoperability Solutions for
European Public Administrations Programme (http://ec.europa.eu/isa)
through Action 1.17: Re-usable INSPIRE Reference Platform 
(http://ec.europa.eu/isa/actions/01-trusted-information-exchange/1-17action_en.htm).-->


<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
    <xsl:output method="html"/>
    
    <xsl:variable name="legalurl" select="'http://ec.europa.eu/geninfo/legal_notices_'" />
    <xsl:variable name="lang" select="$language" />
    <xsl:variable name="legalurlformat" select="'.htm'" />
    
    <xsl:template name="top_right">
        
        <div id="topright-links">
            <a id="about" href="#">
                <xsl:value-of select="$languagefile/guilanguage/item[@key='about']"/>
            </a> | 
            <a href="mailto:inspire-registry-dev@jrc.ec.europa.eu">
                <xsl:value-of select="$languagefile/guilanguage/item[@key='contact']"/>
            </a> |         
            <a target="_blank">
                <xsl:attribute name="href" >
                    <xsl:value-of select="concat($legalurl,$lang,$legalurlformat)"/>
                </xsl:attribute>
                <xsl:value-of select="$languagefile/guilanguage/item[@key='legal-notice']"/> 
            </a>
        </div>

        <div id="widget-lang_select">
            <select id="lngm" onchange="sc()">
                <option value="bg">български (bg)</option>
                <option value="cs">čeština (cs)</option>
                <option value="da">dansk (da)</option>
                <option value="de">Deutsch (de)</option>
                <option value="et">eesti keel (et)</option>
                <option value="el">ελληνικά (el)</option>
                <option value="en">English (en)</option>
                <option value="es">español (es)</option>
                <option value="fr">français (fr)</option>
                <option value="hr">hrvatski (hr)</option>
                <option value="it">italiano (it)</option>
                <option value="lv">latviešu valoda (lv)</option>
                <option value="lt">lietuvių kalba (lt)</option>
                <option value="hu">magyar (hu)</option>
                <option value="mt">Malti (mt)</option>
                <option value="nl">Nederlands (nl)</option>
                <option value="pl">polski (pl)</option>
                <option value="pt">português (pt)</option>
                <option value="ro">română (ro)</option>
                <option value="sk">slovenčina (sk)</option>
                <option value="sl">slovenščina (sl)</option>
                <option value="fi">suomi (fi)</option>
                <option value="sv">svenska (sv)</option>
            </select>
        </div>
        
    </xsl:template>
</xsl:stylesheet>
