/*
 * Copyright 2010,2015 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 27/08/2015
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-dev@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrydata.beans;

import eu.europa.ec.re3gistrydata.constants.Constants;

public class Invalidation {

    private String localId;
    private String collectionLocalId;
    private String successorLocalId;
    private String successorCollectionLocalId;
    private String comment;
    private String itemClass;

    public Invalidation(String localId, String collectionLocalId, String successorLocalId, String collectionSuccessorLocalId, String comment, String itemClass) {
        this.localId = localId;
        this.collectionLocalId = collectionLocalId;
        this.successorLocalId = successorLocalId;
        this.successorCollectionLocalId = collectionSuccessorLocalId;
        this.comment = comment;
        this.itemClass = itemClass;
    }

    public String getLocalId() {
        return localId;
    }

    public void setLocalId(String localId) {
        this.localId = localId;
    }

    public String getCollectionLocalId() {
        return collectionLocalId;
    }

    public void setCollectionLocalId(String collectionLocalId) {
        this.collectionLocalId = collectionLocalId;
    }

    public String getSuccessorLocalId() {
        return successorLocalId;
    }

    public void setSuccessorLocalId(String successorLocalId) {
        this.successorLocalId = successorLocalId;
    }

    public String getSuccessorCollectionLocalId() {
        return successorCollectionLocalId;
    }

    public void setSuccessorCollectionLocalId(String successorCollectionLocalId) {
        this.successorCollectionLocalId = successorCollectionLocalId;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getItemClass() {
        return itemClass;
    }

    public void setItemClass(String itemClass) {
        this.itemClass = itemClass;
    }
  
    public static String getInvalidationHashKey(String localId, String collectionLocalId){
        return localId + Constants.HASHMAP_KEY_SEPARATOR + collectionLocalId;
    }    
}