/*
 * Copyright 2010,2015 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 27/08/2015
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-dev@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrydata.managers;

import eu.europa.ec.re3gistrycommon.utils.Configuration;
import eu.europa.ec.re3gistrydata.constants.Constants;
import java.util.Properties;
import org.apache.log4j.Logger;

public class PropertyMgr {

    //static variables
    private static Logger log = Logger.getLogger(Constants.MODULE_NAME);
    private static Properties properties;

    /**
     * Handles the properties (load the static variable properties for this module).
     *
     * @return Properties the properties element
     */
    public static Properties getProperties() {
        if (properties == null) {
            properties = Configuration.getInstance().getProperties(Constants.MODULE_NAME);
            log.info("# Module properties loaded");
        }
        return properties;
    }

}
