/*
 * Copyright 2010,2015 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 27/08/2015
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-dev@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrydeployer.constants;

/**
 * Collected constants of general utility.
 */
public final class Constants {

    /* ###################################### */
    /* ########## Common constants ########## */
    /**
     * The name of this module
     */
    public static final String MODULE_NAME = "Re3gistryDeployer";
    
    /**
     * The name of the rss request attribute
     */
    public static final String RSS_REQ_ATTR = "rss";
    
    /**
     * The name of the rss request string
     */
    public static final String RSS_REQ_STR = "t-t-dep";
    
    /**
     * The name of the rss title request string
     */
    public static final String RSS_REQ_TITLE = "l-l-dep";
    
    /**
     * The deployer script folder
     */
    public static final String KEY_DEPLOY_SCRIPT_FOLDER = "deploy.script.folder";
    
    /**
     * The rss script folder
     */
    public static final String KEY_DEPLOY_RSS_FILE = "deploy.rss.file";
    
    /**
     * The rss script folder
     */
    public static final String KEY_DEPLOY_RSS_TARGET_FOLDER = "deploy.rss.targetfolder";
    
    /**
     * The rss filename
     */
    public static final String KEY_DEPLOY_RSS_FILENAME = "news.en.xml";
    
    /**
     * The rss base uri script folder
     */
    public static final String KEY_DEPLOY_RSS_BASE_URI = "deploy.rss.baseuri";
    
    /**
     * The error key
     */
    public static final String KEY_ERROR = "error";

    /**
     * The error completed
     */
    public static final String KEY_SUCCESS = "success";

    /**
     * The error windows deploy script
     */
    public static final String KEY_WINDOWS_DEPLOY = "windows-deploy.bat";

    /**
     * The error linux deploy script
     */
    public static final String KEY_LINUX_DEPLOY = "linux-deploy.sh";

    /* Getter */
    public String getKEY_ERROR() {
        return KEY_ERROR;
    }

    public String getKEY_SUCCESS() {
        return KEY_SUCCESS;
    }

}
